aboutsummaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2019-03-21 15:57:58 +0000
committerGerrit Code Review <gerrit@automotivelinux.org>2019-03-21 15:57:58 +0000
commitd110753d5b32722a9a94fcb0f3e6f7d8b38c02b6 (patch)
tree6c0c0242a6ef496179584d33ae0faa2117d90193 /jjb
parent3631a3a65452b42088208e64c4d87805158ea31c (diff)
parent7ef3154af8c80c93fead4c61bdf1a0d8f4716197 (diff)
Merge "Uprev documentation job to display -next"
Diffstat (limited to 'jjb')
-rw-r--r--jjb/daily-jjb-doc-update/include-doc-update.sh30
-rw-r--r--jjb/daily-jjb-doc-update/include-doc-upload.sh23
2 files changed, 28 insertions, 25 deletions
diff --git a/jjb/daily-jjb-doc-update/include-doc-update.sh b/jjb/daily-jjb-doc-update/include-doc-update.sh
index 47570151..0aec6733 100644
--- a/jjb/daily-jjb-doc-update/include-doc-update.sh
+++ b/jjb/daily-jjb-doc-update/include-doc-update.sh
@@ -1,25 +1,19 @@
#!/bin/bash
set -e
+#!/bin/bash
+set -e
+set -x
# we need a name and an email
#git config --global user.name build.automotivelinux.org
#git config --global user.email jenkins@automotivelinux.org
-git config user.name build.automotivelinux.org
-git config user.email jenkins@automotivelinux.org
-
-# make sure 'node' is in path (debian calls it nodejs)
-mkdir -p bin
-ln -sf /usr/bin/nodejs bin/node
-export PATH=$PATH:`pwd`/bin
-
-pushd doctools/webdocs
- npm install
- gem list
-popd
+git config --global user.name build.automotivelinux.org
+git config --global user.email jenkins@automotivelinux.org
-# build the docs
-pushd webdocs-agl
- make clean
- make fetch
- make build
-popd \ No newline at end of file
+rm -rf docs-webtemplate || true
+wget https://raw.githubusercontent.com/automotive-grade-linux/docs-webtemplate/master-next/setupdocs.sh
+mkdir docs-webtemplate
+bash -x setupdocs.sh --directory=docs-webtemplate --webtemplate-ref=master-next --doctools-ref=master-next --baseurl=/next
+# Todo --baseurl=/upload/ci/20018
+cd docs-webtemplate
+make build \ No newline at end of file
diff --git a/jjb/daily-jjb-doc-update/include-doc-upload.sh b/jjb/daily-jjb-doc-update/include-doc-upload.sh
index 116f703f..731a122a 100644
--- a/jjb/daily-jjb-doc-update/include-doc-upload.sh
+++ b/jjb/daily-jjb-doc-update/include-doc-upload.sh
@@ -1,16 +1,25 @@
#!/bin/bash
+set -e
+set -x
+
+[[ -z "$WORKSPACE" ]] && WORKSPACE=$(pwd -P)
+HTDOCS=${HTDOCS:-$WORKSPACE/docs-webtemplate/build-dev/}
+TMPDIR=${TMPDIR:-$WORKSPACE/upload-gh}
+
# publish the docs
-pushd webdocs-agl
- git clone -b gh-pages git@github.com:automotive-grade-linux/docs-agl.git upload-gh-pages
- cp -ar build-dev/* upload-gh-pages/
- pushd upload-gh-pages
+
+ssh-keyscan -H github.com >> ~/.ssh/known_hosts
+
+mkdir -p $TMPDIR
+git clone -b gh-pages git@github.com:automotive-grade-linux/docs-gh-pages.git $TMPDIR/upload-gh-pages
+mkdir -p $TMPDIR/upload-gh-pages/next/
+cp -ar $HTDOCS/* $TMPDIR/upload-gh-pages/next/
+pushd $TMPDIR/upload-gh-pages
git config user.name build.automotivelinux.org
git config user.email jenkins@automotivelinux.org
git diff
git add .
git commit --amend -m"Render: $(date)"
git push origin gh-pages:gh-pages -f
- popd
-popd
-
+popd \ No newline at end of file